CVE-2023-29932

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2023-29932
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-29932.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2023-29932
Related
Published
2023-05-05T15:15:09Z
Modified
2024-06-30T13:20:43.672524Z
Severity
  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

llvm-project commit fdbc55a5 was discovered to contain a segmentation fault via the component mlir::IROperand<mlir::OpOperand.

References

Affected packages

Debian:11 / llvm-toolchain-13

Package

Name
llvm-toolchain-13
Purl
pkg:deb/debian/llvm-toolchain-13?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

Other

1:13~++20210731010128+6eaf46beb462-1~exp1

1:13.*

1:13.0.0~+rc1-1~exp1
1:13.0.0~+rc1-2
1:13.0.0~+rc2-1
1:13.0.0~+rc2-2
1:13.0.0~+rc2-3
1:13.0.0~+rc3-1
1:13.0.0~+rc4-1
1:13.0.0-1
1:13.0.0-2
1:13.0.0-3
1:13.0.0-4
1:13.0.0-5
1:13.0.0-6
1:13.0.0-7
1:13.0.0-8
1:13.0.0-9~exp1
1:13.0.0-9~exp2
1:13.0.0-9
1:13.0.1~+rc1-1~exp1
1:13.0.1~+rc1-1~exp2
1:13.0.1~+rc1-1~exp3
1:13.0.1~+rc1-1~exp4
1:13.0.1~+rc1-1~exp4+hurd.1
1:13.0.1~+rc1-1~exp4+hurd.2
1:13.0.1~+rc2-1~exp1
1:13.0.1~+rc3-1~exp1
1:13.0.1-1
1:13.0.1-2
1:13.0.1-3
1:13.0.1-4
1:13.0.1-5
1:13.0.1-6~deb10u1
1:13.0.1-6~deb10u2
1:13.0.1-6~deb10u3
1:13.0.1-6~deb10u4
1:13.0.1-6~deb11u1
1:13.0.1-6
1:13.0.1-7
1:13.0.1-8
1:13.0.1-9
1:13.0.1-10
1:13.0.1-11
1:13.0.1-12
1:13.0.1-13

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / llvm-toolchain-13

Package

Name
llvm-toolchain-13
Purl
pkg:deb/debian/llvm-toolchain-13?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1:13.*

1:13.0.1-11
1:13.0.1-12
1:13.0.1-13

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / llvm-toolchain-14

Package

Name
llvm-toolchain-14
Purl
pkg:deb/debian/llvm-toolchain-14?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1:14.*

1:14.0.6-12
1:14.0.6-12+powerpc
1:14.0.6-13
1:14.0.6-14
1:14.0.6-16
1:14.0.6-16.1~exp1
1:14.0.6-16.1
1:14.0.6-17
1:14.0.6-18
1:14.0.6-19
1:14.0.6-20

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / llvm-toolchain-15

Package

Name
llvm-toolchain-15
Purl
pkg:deb/debian/llvm-toolchain-15?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

1:15.*

1:15.0.6-4
1:15.0.6-5~exp1
1:15.0.6-5~exp2
1:15.0.6-5~exp3
1:15.0.7-1
1:15.0.7-1+hurd.1
1:15.0.7-2
1:15.0.7-3
1:15.0.7-4
1:15.0.7-5~exp1
1:15.0.7-5
1:15.0.7-6
1:15.0.7-7
1:15.0.7-8
1:15.0.7-9
1:15.0.7-10
1:15.0.7-10.1~exp1
1:15.0.7-11
1:15.0.7-11.1
1:15.0.7-12
1:15.0.7-13
1:15.0.7-14
1:15.0.7-15

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / llvm-toolchain-15

Package

Name
llvm-toolchain-15
Purl
pkg:deb/debian/llvm-toolchain-15?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:15.0.7-7

Affected versions

1:15.*

1:15.0.6-4
1:15.0.6-5~exp1
1:15.0.6-5~exp2
1:15.0.6-5~exp3
1:15.0.7-1
1:15.0.7-1+hurd.1
1:15.0.7-2
1:15.0.7-3
1:15.0.7-4
1:15.0.7-5~exp1
1:15.0.7-5
1:15.0.7-6

Ecosystem specific

{
    "urgency": "unimportant"
}